Subject: Re: [dtn-users] connect_timeout?
From: Michael Demmer <[email-masked]>
To: [email-masked]
Date: Wed, 9 Aug 2006 18:23:26 -0700
List-Id: discussion/answers list for users of the dtn reference implementation <dtn-users.mailman.dtnrg.org>

> Is there any way (except for patching the code) to specify the  
> retry_interval in milliseconds other then in
> seconds?

Nope.

-m

Date: Thu, 10 Aug 2006 01:25:46 +0200
From: =?ISO-8859-1?Q?Wolf-Bastian_P=F6ttner?= <[email-masked]>
To: [email-masked]
Subject: Re: [dtn-users] connect_timeout?
Sender: [email-masked]
Reply-To: [email-masked]

Michael Demmer schrieb:
> 
> First off, I just fixed a small bug related to this so you should update 
> to the latest CVS version and rebuild. 

Actually we used the latest CVS version. The checkout was sometimes 
around 1 pm CEST on 9. August. But we will try the newest code soon...

> Second, you want to use the 
> config parameters min_retry_interval and max_retry_interval on the link 
> -- both are expressed in seconds, and control the amount of time the 
> code waits between link open attempts. The first time a link goes down, 
> it waits min_retry_interval, then doubles the wait time until 
> max_retry_interval is hit. So if you configure a link as:
> 
> link add tcp-test localhost:12345 ALWAYSON tcp \
>     min_retry_interval=1 max_retry_interval=3
> 
> It will try to reopen a failed link after 1 second, then 2 seconds, then 
> 3 seconds, then 3 seconds, etc.

This sounds exactly like the solution to our problem, thanks a lot.

We will try this on Monday and report back if everything works.

Is there any way (except for patching the code) to specify the 
retry_interval in milliseconds other then in seconds?

Regards,

Bastian
-- 
-> [email-masked]    |    www.poettner.de
-> 0531 2087114           |    0170 8265333

From: Michael Demmer <[email-masked]>
Subject: Re: [dtn-users] connect_timeout?
Date: Wed, 9 Aug 2006 12:42:31 -0700
To: [email-masked]
Sender: [email-masked]
Reply-To: [email-masked]

First off, I just fixed a small bug related to this so you should  
update to the latest CVS version and rebuild. Second, you want to use  
the config parameters min_retry_interval and max_retry_interval on  
the link -- both are expressed in seconds, and control the amount of  
time the code waits between link open attempts. The first time a link  
goes down, it waits min_retry_interval, then doubles the wait time  
until max_retry_interval is hit. So if you configure a link as:

link add tcp-test localhost:12345 ALWAYSON tcp \
	min_retry_interval=1 max_retry_interval=3

It will try to reopen a failed link after 1 second, then 2 seconds,  
then 3 seconds, then 3 seconds, etc.

-m

On Aug 9, 2006, at 10:51 AM, Michael Doering wrote:

> Hi Mike,
>
> Michael Demmer wrote:
>> The particulars of the connect timeout will depend on which  
>> version  you're using, so can you specify whether you're using the  
>> latest  release (2.2.0) or with the latest CVS version?
>
> The latest CVS version.
> regards,
> Michael
>
> _______________________________________________
> dtn-users mailing list
> [email-masked]
> http://mailman.dtnrg.org/mailman/listinfo/dtn-users

From: "Michael Doering" <[email-masked]>
To: <[email-masked]>
Subject: Re: [dtn-users] connect_timeout?
Date: Wed, 9 Aug 2006 19:51:14 +0200
Sender: [email-masked]
Reply-To: [email-masked]

Hi Mike,

Michael Demmer wrote: 
> The particulars of the connect timeout will depend on which version  
> you're using, so can you specify whether you're using the latest  
> release (2.2.0) or with the latest CVS version?

The latest CVS version. 

regards,
Michael

From: Michael Demmer <[email-masked]>
Subject: Re: [dtn-users] connect_timeout?
Date: Wed, 9 Aug 2006 09:22:03 -0700
To: [email-masked]
Sender: [email-masked]
Reply-To: [email-masked]

Hi,

The particulars of the connect timeout will depend on which version  
you're using, so can you specify whether you're using the latest  
release (2.2.0) or with the latest CVS version?

-mike

On Aug 9, 2006, at 8:45 AM, Michael Doering wrote:

> Hi,
>
> I would like to use the DTN2 reference implementation in a scenario  
> where links are only available for 3 to 5 seconds. I seems that the  
> TCP convergence layer attemps every 10 seconds to establish a  
> connection, which is way too long for this scenario.
>
> How can I reduce this value? There is a "connect_timeout" parameter  
> in the cl-tcp.html file in the documentation. However, it seems  
> that this parameter is not yet implemented?
> I already took a look at the cvs-sources but did not find a related  
> variable. Could you give me a hint where to find the timeout code?
>
> Best regards,
> Michael
> _______________________________________________
> dtn-users mailing list
> [email-masked]
> http://mailman.dtnrg.org/mailman/listinfo/dtn-users

Date: Wed, 09 Aug 2006 17:45:16 +0200
From: Michael Doering <[email-masked]>
To: [email-masked]
Subject: [dtn-users] connect_timeout?
Sender: [email-masked]
Reply-To: [email-masked]

Hi,

I would like to use the DTN2 reference implementation in a scenario 
where links are only available for 3 to 5 seconds. I seems that the TCP 
convergence layer attemps every 10 seconds to establish a connection, 
which is way too long for this scenario.

How can I reduce this value? There is a "connect_timeout" parameter in 
the cl-tcp.html file in the documentation. However, it seems that this 
parameter is not yet implemented?
I already took a look at the cvs-sources but did not find a related 
variable. Could you give me a hint where to find the timeout code?

Best regards,
Michael

Date: Fri, 4 Aug 2006 21:04:17 -0400
From: Jayram Deshpande <[email-masked]>
To: DTN interest Group <[email-masked]>, DTN users Group <[email-masked]>
Cc: [email-masked]
Subject: [dtn-users] Our Java Implementation of Bundle Protocol
Sender: [email-masked]
Reply-To: [email-masked]

--vtzGhvizbBRQ85DL
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hi Folks,

The first release of our Bundling Protocol Reference Implementation (version
1.0) is now ready. It is implemented in Java 1.5, and does most of the spec=
s.
from the bundling draft (version 04);=20
(Custody transfer is not implemented yet.)

Its available at :
http://irg.cs.ohiou.edu/ocp/bundling.html

Our implementation is based upon some of the design=20
methodologies that DTN2 works upon. So all of us here, who
are familiar with DTN2 code can work easily with our BP-RI.=20

The BP-RI supports just LTP as a convergence layer, currently, interfacing =
with
our LTP-RI implementation in Java. LTP-RI has also been updated getting some
minor designs and bug-fixes along the way. LTP-RI, BTW, is also available h=
ere:

http://irg.cs.ohiou.edu/ocp/ltp.html

- Jayram.

--=20
"The life is short,the vanities of world are transient
 but they alone live who live for others; the rest are=20
 more dead than alive."-Swami Vivekananda
------------------------------------------------------
JAyram Deshpande            www.ent.ohiou.edu/~jayram
------------------------------------------------------
=20

--vtzGhvizbBRQ85DL
Content-Type: application/pgp-signature
Content-Disposition: inline

--vtzGhvizbBRQ85DL--